%define	__mkfontdir	umask 133;/usr/X11R6/bin/mkfontdir

Summary: Kappa 20dot Font
Name: kappa20
Version: 0.3
Release: 15.XOS.1
Group: User Interface/X
Source: http://hp.vector.co.jp/authors/VA013391/fonts/kappa203.tgz
Patch: Kappa20-0.3.makefile.patch
License: Public Domain
URL: http://hp.vector.co.jp/authors/VA013391/
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Prereq: /usr/X11R6/bin/mkfontdir

%description
20 dots Japanese fonts.

%prep
%setup -q -n Kappa20-0.3
%patch -p1

%build

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/fonts/ja/misc
make all DESTDIR="$RPM_BUILD_ROOT"
make install DESTDIR="${RPM_BUILD_ROOT}"

# removing the duplicated files with fonts-ja package
for i in 10x20rkb ipa-10x20b ipa-10x20m k20b; do
  rm $RPM_BUILD_ROOT%{_datadir}/fonts/ja/misc/$i.pcf.gz
done

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf ${RPM_BUILD_ROOT}

%post
{
  %__mkfontdir %{_datadir}/fonts/ja/misc
} &> /dev/null || :

%postun
{
  if [ "$1" = "0" ]; then
    %__mkfontdir %{_datadir}/fonts/ja/misc
  fi
} &> /dev/null || :

%files
%defattr(-, root, root)
%doc README
%{_datadir}/fonts/ja/misc/*

%changelog
* Thu Jul 28 2005 X/OS Linux Team <xoslinux@xos.nl> 0.3-15.XOS.1
- Build for X/OS Linux 4.
- X/OS Linux source rpm based on kappa20-0.3-15.src.rpm
  (md5sum of original source rpm: e468f0c5fdffc47bf623a836d3b2b697).

* Mon Sep 27 2004 Akira TAGOH <tagoh@redhat.com> - 0.3-15
- rebuilt

* Mon Apr 05 2004 Akira TAGOH <tagoh@redhat.com> 0.3-14
- moved the directory to /usr/share/fonts/ja/misc

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Nov 19 2002 Tim Powers <timp@redhat.com>
- rebuild in current collinst

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Jul 15 2001 Karsten Hopp <karsten@redhat.de>
- remove japanese descriptions from spec file
  They cause coredumps on S390 and the correct place for
  them is the specspo package.

* Sun Jan 21 2001 Matt Wilson <msw@redhat.com>
- add Prereq: /usr/X11R6/bin/mkfontdir

* Fri Sep  1 2000 ISHIKAWA Mutsumi <ishikawa@redhat.com>
- rebuilt with rpm-4.0

* Thu Mar  21 2000 Chris Ding <cding@redhat.com>
- changed group to User Interface/X

* Fri Oct 22 1999 Matt Wilson <msw@redhat.com>
- removed the fp rehash in post script

* Wed Oct  6 1999 Matt Wilson <msw@redhat.com>
- rebuilt for 6.1

* Thu Sep 02 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- 1st release
